<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="text" indent="no" encoding="ISO-8859-1"/>
<xsl:preserve-space elements="text" />
<xsl:template match="Diagnostics"><xsl:text>&lt;?php</xsl:text>
<xsl:text>
/*******************************************************************
THIS PHP FILE IS AUTOGENERATED.  EDITS WILL BE LOST!
DiGIR diagnostic codes generated from digir_errors.xml
*******************************************************************/
</xsl:text>

<xsl:text>
////
//Diagnostic Levels
</xsl:text>
<xsl:apply-templates select="levels"/>

<xsl:text>
////
//Diagnostic Codes
</xsl:text>
<xsl:apply-templates select="codes"/>
<xsl:text>?&gt;</xsl:text></xsl:template>
<xsl:template match="levels/level">
/****<xsl:value-of select="."/>*/
define('<xsl:value-of select="@const"/>','<xsl:value-of select="@severity"/>');
</xsl:template>
<xsl:template match="codes/code">
/****<xsl:value-of select="."/>*/
define('<xsl:value-of select="@const"/>','<xsl:value-of select="@value"/>');
</xsl:template></xsl:stylesheet>